* {
  box-sizing: border-box;
  letter-spacing: -0.04em;
}

body {
  font-family: "Plus Jakarta Sans", "Inter", sans-serif;
  color: #1a2942;
  background: #E0F2FE;
}

/* Nav scroll */
.nav-scrolled {
  box-shadow: 0 2px 20px rgba(10, 22, 40, 0.08);
}



/* Navbar mobile toggle */
#mobile-menu {
  display: flex;
  flex-direction: column;
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: max-height 0.4s cubic-bezier(0.4, 0, 0.2, 1),
    opacity 0.3s ease,
    padding 0.3s ease;
  padding-top: 0;
  padding-bottom: 0;
}

#mobile-menu.open {
  max-height: 400px;
  opacity: 1;
  padding-bottom: 1rem;
}

/* animasi burger button */
#hamburger-btn i {
  transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1);
  display: inline-block;
}

#hamburger-btn.is-open i {
  transform: rotate(90deg);
}

/* Smooth scroll */
html {
  scroll-behavior: smooth;
}



/* Animation */
@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(24px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.fade-up {
  animation: fadeUp 0.6s ease forwards;
}

.delay-1 {
  animation-delay: 0.1s;
  opacity: 0;
}

.delay-2 {
  animation-delay: 0.25s;
  opacity: 0;
}

.delay-3 {
  animation-delay: 0.4s;
  opacity: 0;
}

/* Kode Scroll Reveal */
.scroll-reveal {
  opacity: 0;
  transform: translateY(24px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.scroll-reveal.active {
  opacity: 1;
  transform: translateY(0);
}


/* Hero image grid */
.hero-image-grid {
  position: relative;
}

/* Responsive */
@media (max-width: 1023px) {
  .hero-image-grid {
    max-width: 500px;
    margin: 0 auto;
  }
}



/* untuk samsung */
@media (max-width: 360px) {
  section#hero>div {
    padding-top: 8px;
  }

  section#hero>div>.flex {
    gap: 0;
  }
}



/* code nyembunyyin scrollbar */
.hide-scroll {
  scrollbar-width: none;
  -ms-overflow-style: none;
}
.hide-scroll::-webkit-scrollbar {
  display: none;
}

/* card hover*/
.destinasi-card {
  transition: transform 0.3s ease;
}

.destinasi-card:hover {
  transform: translateY(-6px);
}

